Bug 451028 - Apps can crash in QtWayland::wl_output::handle_done() when attaching or detaching monitor on Wayland
Summary: Apps can crash in QtWayland::wl_output::handle_done() when attaching or detac...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: wayland-generic (show other bugs)
Version: 5.25.3
Platform: Fedora RPMs Linux
: HI crash (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: drkonqi, wayland
: 450861 450867 453363 453501 454384 454945 457831 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-03-02 09:50 UTC by cirelli94
Modified: 2022-09-08 04:06 UTC (History)
11 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25.5


Attachments
New crash information added by DrKonqi (2.46 KB, text/plain)
2022-05-31 20:03 UTC, cellstije
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cirelli94 2022-03-02 09:50:24 UTC
Application: systemsettings (5.24.2)

Qt Version: 5.15.2
Frameworks Version: 5.91.0
Operating System: Linux 5.16.11-200.fc35.x86_64 x86_64
Windowing System: Wayland
Distribution: "Fedora release 35 (Thirty Five)"
DrKonqi: 5.24.2 [KCrashBackend]

-- Information about the crash:
- Unusual behavior I noticed:
Plasma completely crash when I attach a second monitor

The crash can be reproduced every time.

-- Backtrace:
Application: System Settings (systemsettings), signal: Segmentation fault

[KCrash Handler]
#4  0x00007f493ff8b8c7 in QtWayland::wl_output::handle_done(void*, wl_output*) () from /lib64/libQt5WaylandClient.so.5
#5  0x00007f493db5bc04 in ffi_call_unix64 () from /lib64/libffi.so.6
#6  0x00007f493db5b108 in ffi_call () from /lib64/libffi.so.6
#7  0x00007f493fedcd10 in wl_closure_invoke.constprop () from /lib64/libwayland-client.so.0
#8  0x00007f493fedd41b in dispatch_event.isra () from /lib64/libwayland-client.so.0
#9  0x00007f493fedd60c in wl_display_dispatch_queue_pending () from /lib64/libwayland-client.so.0
#10 0x00007f493ff6a0b5 in QtWaylandClient::QWaylandDisplay::flushRequests() () from /lib64/libQt5WaylandClient.so.5
#11 0x00007f4942a3c430 in void doActivate<false>(QObject*, int, void**) () from /lib64/libQt5Core.so.5
#12 0x00007f4942a59c4b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#13 0x00007f4942a071e2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#14 0x00007f4942a0f724 in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#15 0x000055c05a7e81cf in main ()
[Inferior 1 (process 14515) detached]

The reporter indicates this bug may be a duplicate of or related to bug 414834.

Possible duplicates by query: bug 446157, bug 445384, bug 445359, bug 445166, bug 445019.

Reported using DrKonqi
Comment 1 Nate Graham 2022-03-02 16:50:07 UTC
*** Bug 450867 has been marked as a duplicate of this bug. ***
Comment 2 Nate Graham 2022-03-22 03:31:12 UTC
*** Bug 450861 has been marked as a duplicate of this bug. ***
Comment 3 Nate Graham 2022-05-25 15:25:33 UTC
*** Bug 454384 has been marked as a duplicate of this bug. ***
Comment 4 cellstije 2022-05-31 20:03:46 UTC
Created attachment 149363 [details]
New crash information added by DrKonqi

plasmashell (5.24.5) using Qt 5.15.4

- What I was doing when the application crashed:

turned on external TV (HDMI)

Application bar disappears and restarts

A number of crash icon appears: Kde Power Management, Latte Dock, Plasma

-- Backtrace (Reduced):
#4  0x00007fe1dcdb0ee7 in QtWayland::wl_output::handle_done(void*, wl_output*) () at /usr/lib/libQt5WaylandClient.so.5
[...]
#9  0x00007fe1e1088f8c in wl_display_dispatch_queue_pending () at /usr/lib/libwayland-client.so.0
#10 0x00007fe1dcd8bc56 in QtWaylandClient::QWaylandDisplay::flushRequests() () at /usr/lib/libQt5WaylandClient.so.5
#11 0x00007fe1decb1910 in QObject::event(QEvent*) () at /usr/lib/libQt5Core.so.5
#12 0x00007fe1df978a7c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
Comment 5 Nate Graham 2022-06-01 16:52:39 UTC
Moving to KWin for now, but it might be a Qt bug.
Comment 6 Nate Graham 2022-06-07 17:37:47 UTC
*** Bug 454945 has been marked as a duplicate of this bug. ***
Comment 7 postix 2022-06-12 19:45:57 UTC
I have noticed that it happens for me when having the following situation:

1) Two screens (HDMI + DP) attached and turned on
2) a TV (HDMI) attached and in standby
3) Boot, login and turn on TV from standby
--> The desktop is supposed to automatically extend to the TV but instead it crashes

It does not happen if step 2) and 3) read
2) a TV (HDMI) attached and completely turned off (unplugged powered cable)
3) Boot, login, plugin the power cable of the TV and turn it on
Comment 8 postix 2022-06-16 18:48:41 UTC
Never mind the distinction in the steps to reproduce in my comment 7: It crashes in both ways, which is very very annoying.
Comment 9 postix 2022-06-16 18:50:27 UTC
Would you say it's actually a Qt bug?
Comment 10 cellstije 2022-06-16 19:23:12 UTC
Hi,

I have exact same crashes/behavior with latest packaged:

Operating System: Arch Linux
KDE Plasma Version: 5.24.5
KDE Frameworks Version: 5.95.0
Qt Version: 5.15.4
Kernel Version: 5.18.3-zen1-1-zen (64-bit)
Graphics Platform: Wayland
Processors: 24 × AMD Ryzen 9 5900X 12-Core Processor
Memory: 31.3 GiB of RAM
Graphics Processor: AMD Radeon RX 480 Graphics
Comment 11 Zamundaaa 2022-06-25 14:58:37 UTC
*** Bug 453501 has been marked as a duplicate of this bug. ***
Comment 12 Michail Vourlakos 2022-07-01 06:11:36 UTC
*** Bug 453363 has been marked as a duplicate of this bug. ***
Comment 13 cellstije 2022-07-13 07:40:29 UTC
Hi,

I am still having the same issue with the latest version of KDE/Plasma from Arch:

Operating System: Arch Linux
KDE Plasma Version: 5.25.3
KDE Frameworks Version: 5.96.0
Qt Version: 5.15.5
Kernel Version: 5.18.10-zen1-1-zen (64-bit)
Graphics Platform: Wayland
Processors: 24 × AMD Ryzen 9 5900X 12-Core Processor
Memory: 31.3 GiB of RAM
Graphics Processor: AMD Radeon RX 6800


My setup is Monitor 1 on DiaplayPort, TV on HDMI

Note that if the TV input is set to another HDMI port (not the one connected to the PC), then PLASMA and KDE go into a crash loop, with continuous attempt to recover from crash, and crash again.
KDE Panel disappears and restarts, the wallpaper may also  go black for a while.

the crashing loop goes on for a while, the system may not recover from the crash loop until I turn off the TV or switch its input to the HDMI attached to the PC

I tried to collect bug report, but the appear to 'not contain useful information'

Thanks
Comment 14 cellstije 2022-07-13 07:55:52 UTC
Hi,

with respect to the crash, the below is what shown by journalctl when turning on TV, with HDMI input from PC:

ul 13 08:48:38 gemini kernel: hid-generic 0003:043E:9A39.0008: hiddev99,hidraw6: USB HID v1.11 Device [LG Electronics Inc. LG Monitor Controls] on usb-0000:0e:00.3-1.3/input0
Jul 13 08:48:38 gemini mtp-probe[23996]: checking bus 7, device 13: "/sys/devices/pci0000:00/0000:00:08.1/0000:0e:00.3/usb7/7-1/7-1.3"
Jul 13 08:48:38 gemini mtp-probe[23996]: bus: 7, device: 13 was not an MTP device
Jul 13 08:48:38 gemini mtp-probe[23999]: checking bus 7, device 13: "/sys/devices/pci0000:00/0000:00:08.1/0000:0e:00.3/usb7/7-1/7-1.3"
Jul 13 08:48:38 gemini mtp-probe[23999]: bus: 7, device: 13 was not an MTP device
Jul 13 08:48:39 gemini plasmashell[22175]: qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
Jul 13 08:48:59 gemini rtkit-daemon[1406]: Supervising 8 threads of 5 processes of 1 users.
Jul 13 08:48:59 gemini rtkit-daemon[1406]: Supervising 8 threads of 5 processes of 1 users.
Jul 13 08:49:06 gemini xdg-desktop-portal-kde[22460]: xdp-kde-background: GetAppState called: no parameters
Jul 13 08:49:36 gemini xdg-desktop-portal-kde[22460]: xdp-kde-background: GetAppState called: no parameters
Jul 13 08:49:52 gemini xdg-desktop-portal-kde[22460]: xdp-kde-wayland-integration: Removing output:
Jul 13 08:49:52 gemini xdg-desktop-portal-kde[22460]: 36 -- exe=/usr/lib/xdg-desktop-portal-kde
Jul 13 08:49:52 gemini xdg-desktop-portal-kde[22460]: 17 -- platform=wayland
Jul 13 08:49:52 gemini xdg-desktop-portal-kde[22460]: 31 -- appname=xdg-desktop-portal-kde
Jul 13 08:49:52 gemini xdg-desktop-portal-kde[22460]: 17 -- apppath=/usr/lib
Jul 13 08:49:52 gemini xdg-desktop-portal-kde[22460]: 10 -- signal=11
Jul 13 08:49:52 gemini xdg-desktop-portal-kde[22460]: 10 -- pid=22460
Jul 13 08:49:52 gemini xdg-desktop-portal-kde[22460]: 18 -- appversion=5.25.3
Jul 13 08:49:52 gemini xdg-desktop-portal-kde[22460]: 19 -- programname=Portal
Jul 13 08:49:52 gemini xdg-desktop-portal-kde[22460]: 31 -- bugaddress=submit@bugs.kde.org
Jul 13 08:49:52 gemini xdg-desktop-portal-kde[22460]: 12 -- startupid=0
Jul 13 08:49:52 gemini xdg-desktop-portal-kde[22460]: KCrash: crashing... crashRecursionCounter = 2
Jul 13 08:49:52 gemini xdg-desktop-portal-kde[22460]: KCrash: Application Name = xdg-desktop-portal-kde path = /usr/lib pid = 22460
Jul 13 08:49:52 gemini xdg-desktop-portal-kde[22460]: KCrash: Arguments: /usr/lib/xdg-desktop-portal-kde
Jul 13 08:49:52 gemini systemd[863]: plasma-xdg-desktop-portal-kde.service: Main process exited, code=exited, status=1/FAILURE
Jul 13 08:49:52 gemini systemd[863]: plasma-xdg-desktop-portal-kde.service: Failed with result 'exit-code'.
Jul 13 08:49:53 gemini org.kde.kded5[22034]: KCrash: Attempting to start /usr/bin/kded5
Jul 13 08:49:53 gemini org_kde_powerdevil[22153]: KCrash: Attempting to start /usr/lib/org_kde_powerdevil
Jul 13 08:49:53 gemini org_kde_powerdevil[22153]: 32 -- exe=/usr/lib/org_kde_powerdevil
Jul 13 08:49:53 gemini org_kde_powerdevil[22153]: 17 -- platform=wayland
Jul 13 08:49:53 gemini org_kde_powerdevil[22153]: 27 -- appname=org_kde_powerdevil
Jul 13 08:49:53 gemini org_kde_powerdevil[22153]: 17 -- apppath=/usr/lib
Jul 13 08:49:53 gemini org_kde_powerdevil[22153]: 10 -- signal=11
Jul 13 08:49:53 gemini org_kde_powerdevil[22153]: 10 -- pid=22153
Jul 13 08:49:53 gemini org_kde_powerdevil[22153]: 18 -- appversion=5.25.3
Jul 13 08:49:53 gemini org_kde_powerdevil[22153]: 40 -- programname=KDE Power Management System
Jul 13 08:49:53 gemini org_kde_powerdevil[22153]: 31 -- bugaddress=submit@bugs.kde.org
Jul 13 08:49:53 gemini org_kde_powerdevil[22153]: 23 -- productname=Powerdevil
Jul 13 08:49:53 gemini org_kde_powerdevil[22153]: 12 -- startupid=0
Jul 13 08:49:53 gemini org_kde_powerdevil[22153]: 15 -- restarted=true
Jul 13 08:49:53 gemini org_kde_powerdevil[22153]: KCrash: crashing... crashRecursionCounter = 2
Jul 13 08:49:53 gemini org_kde_powerdevil[22153]: KCrash: Application Name = org_kde_powerdevil path = /usr/lib pid = 22153
Jul 13 08:49:53 gemini org_kde_powerdevil[22153]: KCrash: Arguments: /usr/lib/org_kde_powerdevil
Jul 13 08:49:53 gemini plasmashell[22407]: KCrash: Attempting to start /usr/bin/latte-dock
Jul 13 08:49:53 gemini org.kde.kded5[22034]: 19 -- exe=/usr/bin/kded5
Jul 13 08:49:53 gemini org.kde.kded5[22034]: 17 -- platform=wayland
Jul 13 08:49:53 gemini org.kde.kded5[22034]: 14 -- appname=kded5
Jul 13 08:49:53 gemini org.kde.kded5[22034]: 17 -- apppath=/usr/bin
Jul 13 08:49:53 gemini org.kde.kded5[22034]: 10 -- signal=11
Jul 13 08:49:53 gemini org.kde.kded5[22034]: 10 -- pid=22034
Jul 13 08:49:53 gemini org.kde.kded5[22034]: 12 -- startupid=0
Jul 13 08:49:53 gemini org.kde.kded5[22034]: 15 -- restarted=true
Jul 13 08:49:53 gemini org.kde.kded5[22034]: KCrash: crashing... crashRecursionCounter = 2
Jul 13 08:49:53 gemini org.kde.kded5[22034]: KCrash: Application Name = kded5 path = /usr/bin pid = 22034
Jul 13 08:49:53 gemini org.kde.kded5[22034]: KCrash: Arguments: /usr/bin/kded5
Jul 13 08:49:53 gemini plasmashell[22407]: 24 -- exe=/usr/bin/latte-dock
Jul 13 08:49:53 gemini plasmashell[22407]: 17 -- platform=wayland
Jul 13 08:49:53 gemini plasmashell[22407]: 19 -- appname=latte-dock
Jul 13 08:49:53 gemini plasmashell[22407]: 17 -- apppath=/usr/bin
Jul 13 08:49:53 gemini plasmashell[22407]: 10 -- signal=11
Jul 13 08:49:53 gemini plasmashell[22407]: 10 -- pid=22407
Jul 13 08:49:53 gemini plasmashell[22407]: 19 -- appversion=0.10.77
Jul 13 08:49:53 gemini plasmashell[22407]: 23 -- programname=Latte Dock
Jul 13 08:49:53 gemini plasmashell[22407]: 31 -- bugaddress=submit@bugs.kde.org
Jul 13 08:49:53 gemini plasmashell[22407]: 22 -- productname=lattedock
Jul 13 08:49:53 gemini plasmashell[22407]: 12 -- startupid=0
Jul 13 08:49:53 gemini plasmashell[22407]: 15 -- restarted=true
Jul 13 08:49:53 gemini plasmashell[22407]: KCrash: crashing... crashRecursionCounter = 2
Jul 13 08:49:53 gemini plasmashell[22407]: KCrash: Application Name = latte-dock path = /usr/bin pid = 22407
Jul 13 08:49:53 gemini plasmashell[22407]: KCrash: Arguments: /usr/bin/latte-dock
Jul 13 08:49:53 gemini org_kde_powerdevil[22153]: KCrash: Attempting to start /usr/lib/drkonqi
Jul 13 08:49:53 gemini yakuake[1220]: kf.notifications: env says KDE is running but SNI unavailable -- check KDE_FULL_SESSION and XDG_CURRENT_DESKTOP
Jul 13 08:49:53 gemini DiscoverNotifier[1234]: kf.notifications: env says KDE is running but SNI unavailable -- check KDE_FULL_SESSION and XDG_CURRENT_DESKTOP
Jul 13 08:49:53 gemini plasmashell[22407]: KCrash: Attempting to start /usr/lib/drkonqi
Jul 13 08:49:53 gemini systemd[1]: Started Process Core Dump (PID 24071/UID 0).
Jul 13 08:49:53 gemini kded5[24067]: org.kde.libkbolt: Failed to connect to Bolt manager DBus interface:
Jul 13 08:49:53 gemini kded5[24067]: org.kde.bolt.kded: Couldn't connect to Bolt DBus daemon
Jul 13 08:49:53 gemini NetworkManager[700]: <info>  [1657698593.4904] agent-manager: agent[dd41be28d4216e90,:1.337/org.kde.plasma.networkmanagement/1000]: agent registered
Jul 13 08:49:53 gemini drkonqi[24072]: kf.notifications: env says KDE is running but SNI unavailable -- check KDE_FULL_SESSION and XDG_CURRENT_DESKTOP
Jul 13 08:49:53 gemini drkonqi[24072]: kf5idletime_kwayland: This plugin does not support polling idle time
Jul 13 08:49:53 gemini kded5[24067]: Installing the delayed initialization callback.
Jul 13 08:49:53 gemini dbus-daemon[694]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service' requested by ':1.337' (uid=1000 pid=24067 comm="/usr/bin/kded5")
Jul 13 08:49:53 gemini dbus-daemon[694]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service not found.
Jul 13 08:49:53 gemini dbus-daemon[694]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service' requested by ':1.337' (uid=1000 pid=24067 comm="/usr/bin/kded5")
Jul 13 08:49:53 gemini dbus-daemon[694]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service not found.
Jul 13 08:49:53 gemini kded5[24067]: kf.modemmanagerqt: Failed enumerating MM objects: "org.freedesktop.systemd1.NoSuchUnit" 
                                      "Unit dbus-org.freedesktop.ModemManager1.service not found."
Jul 13 08:49:53 gemini kded5[24067]: 
Jul 13 08:49:53 gemini kded5[24067]: Delayed initialization.
Jul 13 08:49:53 gemini kded5[24067]: Reloading the khotkeys configuration
Jul 13 08:49:53 gemini kded5[24067]: Version 2 File!
Jul 13 08:49:53 gemini kded5[24067]: true
Jul 13 08:49:53 gemini kded5[24067]: Imported file "/usr/share/khotkeys/defaults.khotkeys"
Jul 13 08:49:53 gemini kded5[24067]: Imported file "/usr/share/khotkeys/kde32b1.khotkeys"
Jul 13 08:49:53 gemini kded5[24067]: Imported file "/usr/share/khotkeys/konqueror_gestures_kde321.khotkeys"
Jul 13 08:49:53 gemini kded5[24067]: Known activities: ("52263178-bebd-453d-8f63-3ffe0537269e")
Jul 13 08:49:53 gemini dbus-daemon[694]: [system] Activating service name='org.kde.kded.smart' requested by ':1.337' (uid=1000 pid=24067 comm="/usr/bin/kded5") (using servicehelper)
Jul 13 08:49:53 gemini dbus-daemon[694]: [system] Successfully activated service 'org.kde.kded.smart'
Jul 13 08:49:53 gemini systemd-coredump[24073]: [🡕] Process 22034 (kded5) of user 1000 dumped core.
                                                
                                                Module linux-vdso.so.1 with build-id bfd793c679eccbe512822f3d34b6c9c5fb8072ad
                                                Module kio_file.so with build-id 3071b8bab70596a67c6806ad0832750f3fbb53d8
                                                Module kcookiejar.so with build-id f0c96e678e4b06ea0ba8cc4a1a9db9142e0d5855
                                                Module libqsqlite.so with build-id 7c140ba15c45f68921daf4bf18262f9f1a771fe1
                                                Module KF5IdleTimeKWaylandPlugin.so with build-id 5424639bd0cfefec02ad3e7299729854a1cfec53
                                                Module libKF5PeopleBackend.so.5 with build-id f4e2139815ba9fcd70b8d3dab5c519256b6c64e9
                                                Module libKF5People.so.5 with build-id d6314cc878721c014c67a52f9680c43dbe68ef2b
                                                Module libKF5KCMUtilsCore.so.5 with build-id d880582e4088117a0f72ac403aae06408d092b66
                                                Module libKF5QuickAddons.so.5 with build-id f079b2562a68451792e92c692d960bb05d6a20a5
                                                Module libQt5QuickWidgets.so.5 with build-id 11743f0003d82a7c2258ab4c2863de167859122d
                                                Module libKTpModels.so.9 with build-id 4993fcce7d7902b4c41b17a28471fe62ce88e4d0
                                                Module libKF5NotifyConfig.so.5 with build-id 6dc0a15a73e6be6d5d73fe64f9e72986bbd2aa43
                                                Module libKF5KCMUtils.so.5 with build-id 9ffee6a98e0f702e693cd0c907cfec05c4672b0d
                                                Module libKTpCommonInternals.so.9 with build-id 5683e79de9cf7246c40328b01d3aeba48f0de7b9
                                                Module libKF5IdleTime.so.5 with build-id ddd17f68c199dcbd566a94df93fa1b148000b1cd
                                                Module libKTpWidgets.so.9 with build-id f03788ef3a9851bfe4e1ef467b5a96cf56894e5c
                                                Module ktp_integration_module.so with build-id 4edd041027342e7ec9b40f5fd3415642c6efb5a4
                                                Module desktopnotifier.so with build-id efa861830f309484226b021c94ff79227b5037ee
                                                Module libqtsensors_linuxsys.so with build-id 68c9b8fcd86dd5ccb86aafdd8808677047026935
                                                Module libqtsensors_iio-sensor-proxy.so with build-id 0b8d5d0d9a8ecca9c672b635a564d1a2fe5665d9
                                                Module libqtsensors_generic.so with build-id bdc8f2cb17a75351b92add189b07ca0d2cdbc9dd
                                                Module KSC_KWayland.so with build-id 9d26b37368eda719b46e01668ccb4ef1ad35ae9a
                                                Module KF5WindowSystemKWaylandPlugin.so with build-id 725573cef73cf7e1e3751cc66fba4e5d91bb6aa4
                                                Module kauth_helper_plugin.so with build-id feeb1093968ef5223bbbeff35a0f4ca050d15889
                                                Module libpolkit-gobject-1.so.0 with build-id 6d189be4e9d8f711bdde061c6b5c4f8741201136
                                                Module libpolkit-qt5-core-1.so.1 with build-id 4c54180fe924bb95dbee8ade0aebe087562fd569
                                                Module kauth_backend_plugin.so with build-id 9f55f2dbc3b771f4ba7d2fb2a0a40fcb0883e55d
                                                Module libQt5Sql.so.5 with build-id 9fa40544411b45942872cf216a3dc8c8e1bcdea3
                                                Module libKF5Plasma.so.5 with build-id 4b2239d6c3c3ed151a14e90a4aec6cd059c369ff
                                                Module libcolorcorrect.so.5 with build-id ae30d1372239b7f442710f4876895b2bb1448679
                                                Module colorcorrectlocationupdater.so with build-id 29853e26836a36ff5f90a5b609bbe2b7ac47f08d
                                                Module libKF5Package.so.5 with build-id 6bff06bdcc59b68f9e06bc6832badc06c9fb1fbc
                                                Module libQt5Sensors.so.5 with build-id 03a19879f3461adc255335957d4a5d88a3c30ad1
                                                Module libKF5Screen.so.7 with build-id da9801b3f6c66edc23eff6444840c187a57e2c29
                                                Module libKF5Declarative.so.5 with build-id 37945b10ab1b00b0b850f5c20dda9c3e45ee6d26
                                                Module kscreen.so with build-id fdee1bd5297ee26a045e06b3d3fac6bece098af7
                                                Module baloosearchmodule.so with build-id 41db0dd3fa7871a14a011f924951e2ccf25cb61e
                                                Module libopus.so.0 with build-id 35fafc4024675e9cfe57c7d50c3965eac6bac358
                                                Module libFLAC.so.8 with build-id 3637a78858507a848ee0a48c50902c943e5bc58f
                                                Module libvorbisenc.so.2 with build-id 2b1ce7fcdcc925bc663ebe2c1c008c0dd96e5bd0
                                                Module libasyncns.so.0 with build-id 3ed7e52f247b08f1dff19aef6a253ee4c5c785c0
                                                Module libsndfile.so.1 with build-id 407b2376cac1726631e3f7360a9337901be04ec0
                                                Module libpulsecommon-16.1.so with build-id 17e5c781f557e60fbc789cb631816a4a29230f4a
                                                Module libpulse.so.0 with build-id 0c1618cb1e11cc14128914e45965433374cbd10e
                                                Module libasound.so.2 with build-id aefb908044b1b408df406f1a9bab9bba486c0e94
                                                Module libkmixcore.so.5 with build-id 2fdfafb46248fa75bdb8ba4ea613000cd0fb5173
                                                Module kmixd.so with build-id aad79a4cfe93e2fad2e41897c4fdc18b7cc53d84
                                                Module libKSysGuardFormatter.so.1 with build-id 7780fa617753248965afab69565329964297deb5
                                                Module libprocesscore.so.9 with build-id 8073e3b3de9b0b85e9e962279cd7b822c116c3a3
                                                Module libKF5Activities.so.5 with build-id be888237edef41af2051f332858c8143176ec387
                                                Module plasmavault.so with build-id 6bd639a9e6ea6b156fc4bfdfb4a8a926231f2df1
                                                Module libkhotkeysprivate.so.5 with build-id 2baa9383f1d285d9c0015d00015be5f13392879c
                                                Module khotkeys.so with build-id 10b15c934302a5e6846020b05c9ed03e72cf4cd6
                                                Module ktimezoned.so with build-id dd7826289458ce75adc63bce727878b63d108344
                                                Module libKF5SonnetCore.so.5 with build-id cb671b0be2414f9ce04fd459b0f50f5f737309d8
                                                Module libKF5SonnetUi.so.5 with build-id 6f2de37994946d1e46d3345d0bb50b018990b4f3
                                                Module libuuid.so.1 with build-id 032a21acd159ee3902605e9911be5f86a7df7df9
                                                Module libKF5Auth.so.5 with build-id 98a19f07e05f1bee3dadb9f4f3cfc6b6f4478b5a
                                                Module libKF5TextWidgets.so.5 with build-id 29f847c9672fd321a953c7326e20431b48d5438b
                                                Module libICE.so.6 with build-id a78252e65631a98d7935f1bca668c2fe1d6bbb53
                                                Module libSM.so.6 with build-id 66cef8ae9a7848679be78dd26fd47e05110d03b5
                                                Module libKF5Parts.so.5 with build-id dd5a81e8e610d82c28bb531a85fb35505c5ca108
                                                Module libKF5KDELibs4Support.so.5 with build-id 4dcc474d7c4f07c635f22bbab5655b7aa6d9d661
                                                Module networkstatus.so with build-id 822fe5a80f136e7fa5220a8fb158bb45bca11138
                                                Module libavahi-client.so.3 with build-id 1858551543958190c653b565cf0eb64609ad908a
                                                Module libavahi-common.so.3 with build-id 80fda945459a3476ccd1050783dfd5f5c17c479a
                                                Module libcups.so.2 with build-id 62620e2ba8de0b241ddcde466d8355ac8a37b41b
                                                Module libkcupslib.so with build-id 6ef0cb8bda06f5a65d03ae0881ec0399e515e3fc
                                                Module printmanager.so with build-id ea5668eb498189121840b4aec24eae0d8b8c4406
                                                Module libKF5BluezQt.so.6 with build-id b1da112c6cb72de185025f6098c9e4439451f8b3
                                                Module bluedevil.so with build-id 79c0bb07dcebe98a88fbbc64fc87790df7f11e99
                                                Module statusnotifierwatcher.so with build-id 19e4eb36ada07281a1189ad2874d9be494bb8b25
                                                Module remotenotifier.so with build-id 61f1236040f2d00096e1d125fe3233a27ecc364d
                                                Module smbwatcher.so with build-id 754b25ecba7fe75dd335817d23815a4541ed6c74
                                                Module gdrive.so with build-id 7f17cdfbc03b5df03bc9633a00ffd35dc647cd99
                                                Module kaccounts_kio_webdav_plugin.so with build-id 57edcb7e8a0cb0fd8676beea37622163fdaf6180
                                                Module libtelepathy-qt5.so.0 with build-id a8a93bbafbc1dc866788441bd7d51f3735718ed4
                                                Module kaccounts_ktp_plugin.so with build-id ed5af6d86e308502bef008cd1bc3ce9f2f1ae763
                                                Module libsqlite3.so.0 with build-id ef1636b91e0f2625713354248055809eec2073f1
                                                Module libxml2.so.2 with build-id 8cdf00fa954d9a27f2f184c4d354cb14677446ac
                                                Module libaccounts-glib.so.0 with build-id fe7c39564e814b4407356afe02a2d1a4d69fe7d7
                                                Module libsignon-qt5.so.1 with build-id 3a8e9e51c361f4d4757d1a112b5e0ae456da2990
                                                Module libaccounts-qt5.so.1 with build-id cb30e02c93768b98f22a8022d7674629f917dc5b
                                                Module libkaccounts.so.2 with build-id 56f35ba534ca6f0d462a08e0681684fc50a4d20c
                                                Module kded_accounts.so with build-id 2ef3724278e94ef1c3e6d21df0d7792db9eb2c9e
                                                Module libkworkspace5.so.5 with build-id 82189fa0a05b763e2d915e7f2ac9cd7deea501a1
                                                Module plasma_accentcolor_service.so with build-id e482668a5228a9fe85fd81df3a874218cb097a36
                                                Module libKF5WaylandClient.so.5 with build-id 7b303d075325591bf0995ce36562ca88903a3929
                                                Module appmenu.so with build-id f5e39c36754b361393e844e62b1a96d743bc0ec9
                                                Module breezedecoration.so with build-id 80d35fd88bad518789dfb266ef0b1ac7ddff72e5
                                                Module libdconfsettings.so with build-id 7a4ba7af122c4d11168004a9ea6def330f02089f
                                                Module libgmodule-2.0.so.0 with build-id abd986222e2cf12fc7324cb0182dfc2c8f2269c0
                                                Module libgobject-2.0.so.0 with build-id a7515bd8cd51064d187953c0f506a43958de31a6
                                                Module libgio-2.0.so.0 with build-id 7a769ec24a9a705d04ee0297730032f70ed0835b
                                                Module libkdecorations2private.so.9 with build-id 7b1fce7ef45f5ae3a81852049663b0e4ce51eb1d
                                                Module libkdecorations2.so.5 with build-id 870388320656d6b47e234ece285e143a6d2561a9
                                                Module gtkconfig.so with build-id 1e6e610d6d85aa33612d3f8fd80702d7347c9b23
                                                Module libQt5Concurrent.so.5 with build-id e9b9f1677dc6264119b13869395346c4da7d3ec3
                                                Module libXi.so.6 with build-id 16603be937a02a7e61b0b0395d064be7efd86f49
                                                Module libxkbfile.so.1 with build-id dc74ddc73cb1178f037cdc608f7029a0bc9f69a1
                                                Module libxcb-xkb.so.1 with build-id bad7e1eb65df04a6b2d676a08f68844856edaace
                                                Module keyboard.so with build-id b7f653c08f100ae43c7fad57872d29a448a5ecfc
                                                Module libqca-qt5.so.2 with build-id d012438853aebbe1efa1e7d737e51d95073483d6
                                                Module libKF5NetworkManagerQt.so.6 with build-id f96d7f44e9c538d829c1f83faa173298975644e0
                                                Module libKF5ModemManagerQt.so.6 with build-id f00c045f5a71c44d26fafc6d4b812243733ca1c9
                                                Module libKF5Wallet.so.5 with build-id b5a95b31c654248d3fd7bce1f2b76a892f15882f
                                                Module libplasmanm_editor.so with build-id 9830262bb9eeab68546b403fbca3cb94a62a6fb7
                                                Module networkmanagement.so with build-id bcd64384410be1d7dad842330ddb478a665ae3f4
                                                Module freespacenotifier.so with build-id cbc089d246a6701e8961a18352c8697aafdc4b00
                                                Module libKF5DNSSD.so.5 with build-id 97ea4f6c1cf644b8dd5827dbe967db580cfad6cc
                                                Module dnssdwatcher.so with build-id 57f3eb29c2a303401f46f4ef8a1bd7f4d20f8eda
                                                Module ksysguard.so with build-id d47f03ed18e1285056a1ad147ddd37275377b845
                                                Module libKF5Pty.so.5 with build-id 4be2691eabf86482277a40b38ec50c23c09a1775
                                                Module kwrited.so with build-id 496bce2e5b71d95862e3243d833a8a1825d45079
                                                Module smart.so with build-id efafc4757788715bae009793a6bb647a02d51f1c
                                                Module libqnmbearer.so with build-id b1cbd6f2376017b756fb782fc9a325314e4c35e6
                                                Module libqgenericbearer.so with build-id 323ed9b1016288ff8521d212b1e5e0bd4ab9ced0
                                                Module libqconnmanbearer.so with build-id ea8573fa44b30d7d473702b24f7b4eddfc3d86b7
                                                Module proxyscout.so with build-id 68d36cb5e800ba023e760c67c8f04f1a9fe0bbf3
                                                Module libkbolt.so with build-id 151640ad22fde820a3aa0cfc45eec5c6f273ed7f
                                                Module kded_bolt.so with build-id 1dd5f808583832ca37a01682f0b21244931a3507
                                                Module libKF5Style.so.5 with build-id 8e501b6b7b2d020bf7b5725238695896bb8e1417
                                                Module libbreezecommon5.so.5 with build-id 9ab33d3dd0c20c160d68e86a5f205d5771424eb1
                                                Module libKF5Kirigami2.so.5 with build-id 7fcbd6e78678edcaead83f9e6d6d22a810602d9f
                                                Module breeze.so with build-id 2f5833160c39d0ae690729aa896451b37ea2be62
                                                Module libdl.so.2 with build-id 94198b268228074fa9f405bbedbbae94112593ed
                                                Module libgmp.so.10 with build-id 26cec2ebe94cc5c4cb99e6988717347222b324fd
                                                Module libhogweed.so.6 with build-id 9577a5fe1921756af97b2af318ff1c9a03f10a84
                                                Module libnettle.so.8 with build-id a2cc6a257b0729585e870b345b83497c478ee28b
                                                Module libunistring.so.2 with build-id 617dbf3d3d6f85d6556a7a036e23845e95490158
                                                Module libidn2.so.0 with build-id 1ce2b50ad9f9821c2c629b521cf5a3c99593d332
                                                Module libbrotlienc.so.1 with build-id 74adbc62e4fbb5da9d37b5aa458471f4130862ff
                                                Module libp11-kit.so.0 with build-id cc372ea3c28c4d3dfc633b4d2e933c8584d2af16
                                                Module libogg.so.0 with build-id ca0cae30a809f10db1f16e54a23b4e5ff7b2c54c
                                                Module libvorbis.so.0 with build-id f4e086347f6c1a66eb73cfe13974a29bd39aabca
                                                Module libresolv.so.2 with build-id 89a368a6ad1b392d126a2a5beb9c2f61ade00279
                                                Module libkeyutils.so.1 with build-id ac405ddd17be10ce538da3211415ee50c8f8df79
                                                Module libkrb5support.so.0 with build-id 15f223925ef59dee4379ebbc0fcd14eda9ba81a2
                                                Module libcom_err.so.2 with build-id 3360a28740ffbbd5a5c0c21d09072445908707e5
                                                Module libk5crypto.so.3 with build-id cc77a742cb62447a53d98285b41558b8acd92866
                                                Module libkrb5.so.3 with build-id 371cc767dacb17cb42c9c44b88eebbed5ee9a756
                                                Module libusbmuxd-2.0.so.6 with build-id fd9f05e7f5b0da4e15972f75b61fd9b4b9f06dbe
                                                Module libtasn1.so.6 with build-id ee3429ca5e94718aea4fe5249fc859e0cd88e4e9
                                                Module libgnutls.so.30 with build-id a4f42d33fc809cb6f596998001cedc0bce06c751
                                                Module libblkid.so.1 with build-id 140694a62d8d4d07c6c320a501f948dd1b389d73
                                                Module libXext.so.6 with build-id 17beadf1cb40d41ab36629db3b4eed74110678a7
                                                Module libltdl.so.7 with build-id c4ee3f1ba09fe34163d71ff336756fbecb6f409f
                                                Module libtdb.so.1 with build-id f2bdb5ac97b6addf2026d93b08c8d15defcd9bb8
                                                Module libvorbisfile.so.3 with build-id 45d2551167a616d448beb033ba49394831992887
                                                Module libcrypto.so.1.1 with build-id 7981ea3d69f3c28e46ee312a815af96eab93775c
                                                Module libssl.so.1.1 with build-id e6b1f97a5b60b4248c49dfc5b11f53f281b507d0
                                                Module libgssapi_krb5.so.2 with build-id 292f1ce32161c0ecc4a287bc8494d5d7c420a03f
                                                Module libplist-2.0.so.3 with build-id f16bdd42b3d750ba0a150d286248f5dc50cc76cb
                                                Module libimobiledevice-1.0.so.6 with build-id bc258677480403cc2df4f0efcfc97e06af826ddc
                                                Module libudev.so.1 with build-id 541e6841430a5ee36134325ec0ce669c2c0b9053
                                                Module libKF5Archive.so.5 with build-id 07d4e5dafa9448078b1ed4e2f93e2560ffce4b5e
                                                Module libQt5Svg.so.5 with build-id 078b56fe3e0bdebbd09a938793d24c61b59496b7
                                                Module libQt5PrintSupport.so.5 with build-id c1a798457d123128249cf6717ccc7c4a9d337762
                                                Module libKF5GlobalAccel.so.5 with build-id fb6745056eb26a1b661805088cc3206c92903b67
                                                Module libmount.so.1 with build-id 4436aeea0cd8c01b5a77969e0531184f8b3513ce
                                                Module libacl.so.1 with build-id 27869ed0219ade5d2ffd50eaee11f967187faa8b
                                                Module libKF5AuthCore.so.5 with build-id 27644829fe09cb075d1a92161b912cd5c2c8d01c
                                                Module libQt5QmlModels.so.5 with build-id 11db7d0f6adbc46e72a1270478848e19bcefdbe7
                                                Module libQt5QuickTemplates2.so.5 with build-id fbb0c5634acacbf0266052e642f417ee166d5348
                                                Module libQt5Qml.so.5 with build-id f36f75407363858446bd91ee785afbda52ba5abe
                                                Module libXfixes.so.3 with build-id 0a05c7e8714522bfbdd7c0027c3e2a94965664b0
                                                Module libXrender.so.1 with build-id 42e386d2acf3cde61081959d9671ca74acfb3edc
                                                Module libdbusmenu-qt5.so.2 with build-id 346cd54093968d3de9e61cc329e9512d248dce18
                                                Module libXtst.so.6 with build-id 35c7f3daf454834acb724e6bd1664b0a2e9a6494
                                                Module libQt5TextToSpeech.so.5 with build-id 31f411307c29623b8c9c8a7c2875de5045366340
                                                Module libcanberra.so.0 with build-id 8ddef69c9b84a86062c88a59510639cd908fc6d3
                                                Module libKF5Codecs.so.5 with build-id 4a1602d188fb59da8fac4df7dd2a45a31f181d3d
                                                Module libKF5GuiAddons.so.5 with build-id 2cc1af0893cd828a9d7d4d2de86a4fcdc2c56911
                                                Module libQt5Network.so.5 with build-id a022c8f670074858bdffbd1b1ec49e12a7e4e30c
                                                Module libKF5ItemViews.so.5 with build-id 2721bfeba3053624db85cbafa1edfa06d7b1a191
                                                Module libKF5KIOGui.so.5 with build-id 530be3479e6f160e8efaf5a3d66a8e7c5e255000
                                                Module libKF5Solid.so.5 with build-id 52fe2aa12d222fd023c3b326b06b8a38c81eabe2
                                                Module libKF5Bookmarks.so.5 with build-id 56d4fb0963982c6b20871b013fe107e6c4fafb33
                                                Module libKF5WidgetsAddons.so.5 with build-id 73415bc475882c11dc4fb8e5e20d0961f55f4127
                                                Module libKF5ConfigGui.so.5 with build-id e2ed1dde6cd3e43cf02f85565e7b99b42f6fc6ae
                                                Module libKF5ConfigWidgets.so.5 with build-id d9ca13b0bb7ccb924944057ee96bb8c6c9560860
                                                Module libKF5IconThemes.so.5 with build-id 3c0f7e8d86df93b6b116efdacc805ce22ffce746
                                                Module libKF5XmlGui.so.5 with build-id ac7570b5ec2d9f47fd127dea757d48b501ff0ee5
                                                Module libKF5Completion.so.5 with build-id bb2c042dbacb7b344775ac1e2a23f1dd25a1e208
                                                Module libKF5JobWidgets.so.5 with build-id eb655060c3f5a5f9d05609086f07415277d532f9
                                                Module libKF5KIOCore.so.5 with build-id fc20fdc2fa10b588eaa7397a193a77071839bb9d
                                                Module libQt5Quick.so.5 with build-id 35261a038f923611ff79ab68fee76dede20997d8
                                                Module libQt5QuickControls2.so.5 with build-id 59f3ed84bb93127ee1d0a51902e04dc71eb3585b
                                                Module libXcursor.so.1 with build-id f0525ae3715ac95f96a8cdb44795b03f831334b0
                                                Module libKF5Notifications.so.5 with build-id a28061f5fd10d13a8f9910811bdbaca664c5cdd8
                                                Module libKF5KIOWidgets.so.5 with build-id 7e9f246d5050555202fef57775db4339d536773c
                                                Module libKF5KIOFileWidgets.so.5 with build-id ee12b40179dd6564bc359622044ac5347b8ecd15
                                                Module KDEPlasmaPlatformTheme.so with build-id 46ed283792d4cd2f0b430f53e0cf65f83d0e766c
                                                Module libcomposeplatforminputcontextplugin.so with build-id 0be5cf4dd6f619507419c05cd608577e092c78fb
                                                Module libexpat.so.1 with build-id 113bb5a3e9ad856801bfcfc029102c9bdc13d67e
                                                Module libffi.so.8 with build-id f0a9586cf0f42d2b9971bd1065ca3a6b19f4a2c2
                                                Module libxkbcommon.so.0 with build-id 6cf66eead3fcc20fe5df10162bfbcdcdc8b2a183
                                                Module libfontconfig.so.1 with build-id 36be6951b8c1e42a7dd05684a37400fc8ef9147c
                                                Module libwayland-client.so.0 with build-id 515c72111400d7bdbfbdfcec78d597e4986a5943
                                                Module libwayland-cursor.so.0 with build-id 46a637dbcbb02d6712a201f177377b66598b9121
                                                Module libQt5WaylandClient.so.5 with build-id f76e049997b79ef33eb9f6b52f2b9a65030103e2
                                                Module libqwayland-generic.so with build-id fcdf0aff87e87ea2b775b379dee5c7c8def4796c
                                                Module libbrotlicommon.so.1 with build-id acfd597a977c8087bb6184383daae2e828a9ce42
                                                Module libpthread.so.0 with build-id 95ae4f30a6f12ccbff645d30f8e1a3ee23ec7d36
                                                Module libgpg-error.so.0 with build-id 4738b8a9478177c202cccd64e0eb65d3dea2bfae
                                                Module libbrotlidec.so.1 with build-id 66c54e9301f7e102ecc1d88547e5f0e8a056fe22
                                                Module libbz2.so.1.0 with build-id 919597c477c9b2cb9cdbb7745ed6494ac0e6da60
                                                Module libXdmcp.so.6 with build-id d864159ab0008415667db8d5f251696d75c90df2
                                                Module libXau.so.6 with build-id 60db1eac70f819bea9d4c366603c1583067510b4
                                                Module libpcre.so.1 with build-id 845483dd0acba86de9f0313102bebbaf3ce52767
                                                Module libicudata.so.71 with build-id 4fef196388e678deb881978139e125e20ee2d94d
                                                Module liblz4.so.1 with build-id e63600ab23b2f6997f42fac2fa56e1f02ce159a1
                                                Module liblzma.so.5 with build-id 28b40c7af8098a66af6ee093b6986b91cad7694d
                                                Module libgcrypt.so.20 with build-id 8bf3cb884124273640de797a3e77d86c98434ea4
                                                Module libcap.so.2 with build-id 21b00ab76bb16fde56fd741f07233c78069f0579
                                                Module libgraphite2.so.3 with build-id ce58945ebb55b86d3a4e717b6eae29efc4720d8e
                                                Module libfreetype.so.6 with build-id f89dd5502e75aca28fb5c3ccd0dbd26fe822bfef
                                                Module libGLX.so.0 with build-id 02bd4ac6acc4da9288c543ea1a0cdaa70c5e151a
                                                Module libGLdispatch.so.0 with build-id de981c020bd9dbdc159b11f4a2a541310cc3b8d5
                                                Module libxcb-keysyms.so.1 with build-id 507bdc94868b9b1f9d95e31c492694f2513da88d
                                                Module libxcb.so.1 with build-id 13d677412a71468381b11092915d231f664d18d3
                                                Module ld-linux-x86-64.so.2 with build-id 0effd0e43efa4468d3c31871c93af0b7f3005673
                                                Module libglib-2.0.so.0 with build-id 1340f3a762b2293ebf6d725edf0eb14839f85317
                                                Module libzstd.so.1 with build-id ab54c2881f53ab314e134f3e08c76d504376dd5d
                                                Module libpcre2-16.so.0 with build-id 68a5c2d52b45bfa6b1e93d2766e80094f52d9ebf
                                                Module libicuuc.so.71 with build-id 633fdc0c5385d916571f6140e7a978ad0630ef55
                                                Module libicui18n.so.71 with build-id 6fd5c97fd2808ee29958bf809656d5885e7e8963
                                                Module libdouble-conversion.so.3 with build-id d162eb67b00f523a3f146b1077ae00fe04d5fb85
                                                Module libsystemd.so.0 with build-id a220b34e873e29bb116d88be0bf11fac7089ef4d
                                                Module libdbus-1.so.3 with build-id 7f4b16b4b407cbae2d7118d6f99610e29a18a56a
                                                Module libmd4c.so.0 with build-id 2151dba72cdc9960097e6e960a58a2f03c8bb96e
                                                Module libharfbuzz.so.0 with build-id aad49fa51ffb89551ebb021336f56cfa28334823
                                                Module libz.so.1 with build-id fefe3219a96d682ec98fcfb78866b8594298b5a2
                                                Module libpng16.so.16 with build-id 2dc0bce07f199bf983c07a05fb95a6f4af83a9b3
                                                Module libGL.so.1 with build-id b915a2e48be6c9fd3cc6f9f4c7aab1f7aeed8a4c
                                                Module libX11.so.6 with build-id 21e886e968772b7964d646f54c1faecc56734de9
                                                Module libKF5WindowSystem.so.5 with build-id fd16ca3ebcc30d78f056c3404375a5b054f30f83
                                                Module libQt5X11Extras.so.5 with build-id ec950f22918930044e4b7cebb233977269559525
                                                Module libQt5Xml.so.5 with build-id 458b4298e549719f0dc0b9fe7e7f589c7131c062
                                                Module libKF5I18n.so.5 with build-id c455fb3f1d041e2c3a91b403510d7838f77cb8cc
                                                Module libgcc_s.so.1 with build-id 0e3de903950e35ae59a5de8c00b1817a4a71ca01
                                                Module libm.so.6 with build-id 1b7296ef9fd806e47060788389293c824b09ad72
                                                Module libc.so.6 with build-id 60df1df31f02a7b23da83e8ef923359885b81492
                                                Module libstdc++.so.6 with build-id b3eaebcb5369487562e52dd8d016c9cd77f80c54
                                                Module libQt5Core.so.5 with build-id d0b7a28d507dd3904c4566fcb8cbb3b006a93040
                                                Module libQt5DBus.so.5 with build-id cb4975246458c1f3591617bc981289d39c812a1c
                                                Module libKF5CoreAddons.so.5 with build-id 96ecc42f7398b26af574cc89c9bf396cc263f2b5
                                                Module libQt5Gui.so.5 with build-id c1d33a4773c23aaa775b4adfc0c8c516574d52c2
                                                Module libKF5ConfigCore.so.5 with build-id 6fc159fc563f5fefd5e73131ff5c736f90478144
                                                Module libKF5Crash.so.5 with build-id 8c1b7564cbe8bc9e601cdbac4299f548bdbcb754
                                                Module libKF5DBusAddons.so.5 with build-id 3e17ccd62dc88974d6fb2d954c2971ac34b49a7f
                                                Module libKF5Service.so.5 with build-id b46215476e2f335d5d812114110484075b0f56d6
                                                Module libQt5Widgets.so.5 with build-id 7af744992f5115b48e285b80668ebe1dbba20ee6
                                                Module kded5 with build-id 41dbfa81b870c9f7561b1e75b487bcbbbfcee27e
                                                Stack trace of thread 22034:
                                                #0  0x00007fc3b868e36c n/a (libc.so.6 + 0x8e36c)
                                                #1  0x00007fc3b863e838 raise (libc.so.6 + 0x3e838)
                                                #2  0x00007fc3ba31b3a4 _ZN6KCrash19defaultCrashHandlerEi (libKF5Crash.so.5 + 0x73a4)
                                                #3  0x00007fc3b863e8e0 n/a (libc.so.6 + 0x3e8e0)
                                                #4  0x00007fc3b554aed7 _ZN9QtWayland9wl_output11handle_doneEPvP9wl_output (libQt5WaylandClient.so.5 + 0x96ed7)
                                                #5  0x00007fc3ba35a536 n/a (libffi.so.8 + 0x7536)
                                                #6  0x00007fc3ba357037 n/a (libffi.so.8 + 0x4037)
                                                #7  0x00007fc3ba366645 n/a (libwayland-client.so.0 + 0x7645)
                                                #8  0x00007fc3ba366e03 n/a (libwayland-client.so.0 + 0x7e03)
                                                #9  0x00007fc3ba366ffc wl_display_dispatch_queue_pending (libwayland-client.so.0 + 0x7ffc)
                                                #10 0x00007fc3b5525c56 _ZN15QtWaylandClient15QWaylandDisplay13flushRequestsEv (libQt5WaylandClient.so.5 + 0x71c56)
                                                #11 0x00007fc3b90b0440 _ZN7QObject5eventEP6QEvent (libQt5Core.so.5 + 0x2b0440)
                                                #12 0x00007fc3b9d78b3c _ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent (libQt5Widgets.so.5 + 0x178b3c)
                                                #13 0x00007fc3b908cad8 _ZN16QCoreApplication15notifyInternal2EP7QObjectP6QEvent (libQt5Core.so.5 + 0x28cad8)
                                                #14 0x00007fc3b908d5e3 _ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData (libQt5Core.so.5 + 0x28d5e3)
                                                #15 0x00007fc3b90d3548 n/a (libQt5Core.so.5 + 0x2d3548)
                                                #16 0x00007fc3b7c6fc6b g_main_context_dispatch (libglib-2.0.so.0 + 0x54c6b)
                                                #17 0x00007fc3b7cc6001 n/a (libglib-2.0.so.0 + 0xab001)
                                                #18 0x00007fc3b7c6d392 g_main_context_iteration (libglib-2.0.so.0 + 0x52392)
                                                #19 0x00007fc3b90d732c _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2d732c)
                                                #20 0x00007fc3b908527c _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5 + 0x28527c)
                                                #21 0x00007fc3b908fda9 _ZN16QCoreApplication4execEv (libQt5Core.so.5 + 0x28fda9)
                                                #22 0x000055a0931ff040 n/a (kded5 + 0x7040)
                                                #23 0x00007fc3b8629290 n/a (libc.so.6 + 0x29290)
                                                #24 0x00007fc3b862934a __libc_start_main (libc.so.6 + 0x2934a)
                                                #25 0x000055a0931ff0c5 n/a (kded5 + 0x70c5)
                                                
                                                Stack trace of thread 22046:
                                                #0  0x00007fc3b8705c3f __poll (libc.so.6 + 0x105c3f)
                                                #1  0x00007fc3b5525d7d n/a (libQt5WaylandClient.so.5 + 0x71d7d)
                                                #2  0x00007fc3b8ee42ca n/a (libQt5Core.so.5 + 0xe42ca)
                                                #3  0x00007fc3b868c54d n/a (libc.so.6 + 0x8c54d)
                                                #4  0x00007fc3b8711874 __clone (libc.so.6 + 0x111874)
                                                
                                                Stack trace of thread 22048:
                                                #0  0x00007fc3b7c6f8b6 g_main_context_prepare (libglib-2.0.so.0 + 0x548b6)
                                                #1  0x00007fc3b7cc5dc6 n/a (libglib-2.0.so.0 + 0xaadc6)
                                                #2  0x00007fc3b7c6d392 g_main_context_iteration (libglib-2.0.so.0 + 0x52392)
                                                #3  0x00007fc3b90d734f _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2d734f)
                                                #4  0x00007fc3b908527c _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5 + 0x28527c)
                                                #5  0x00007fc3b8ee749f _ZN7QThread4execEv (libQt5Core.so.5 + 0xe749f)
                                                #6  0x00007fc3b93a3cba n/a (libQt5DBus.so.5 + 0x23cba)
                                                #7  0x00007fc3b8ee42ca n/a (libQt5Core.so.5 + 0xe42ca)
                                                #8  0x00007fc3b868c54d n/a (libc.so.6 + 0x8c54d)
                                                #9  0x00007fc3b8711874 __clone (libc.so.6 + 0x111874)
                                                
                                                Stack trace of thread 22045:
                                                #0  0x00007fc3b8689119 n/a (libc.so.6 + 0x89119)
                                                #1  0x00007fc3b868b920 pthread_cond_wait (libc.so.6 + 0x8b920)
                                                #2  0x00007fc3b8eeb744 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5 + 0xeb744)
                                                #3  0x00007fc3b5525d24 n/a (libQt5WaylandClient.so.5 + 0x71d24)
                                                #4  0x00007fc3b8ee42ca n/a (libQt5Core.so.5 + 0xe42ca)
                                                #5  0x00007fc3b868c54d n/a (libc.so.6 + 0x8c54d)
                                                #6  0x00007fc3b8711874 __clone (libc.so.6 + 0x111874)
                                                
                                                Stack trace of thread 22053:
                                                #0  0x00007fc3b8705c3f __poll (libc.so.6 + 0x105c3f)
                                                #1  0x00007fc3b7cc5f68 n/a (libglib-2.0.so.0 + 0xaaf68)
                                                #2  0x00007fc3b7c6d392 g_main_context_iteration (libglib-2.0.so.0 + 0x52392)
                                                #3  0x00007fc3b90d732c _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2d732c)
                                                #4  0x00007fc3b908527c _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5 + 0x28527c)
                                                #5  0x00007fc3b8ee749f _ZN7QThread4execEv (libQt5Core.so.5 + 0xe749f)
                                                #6  0x00007fc3b8ee42ca n/a (libQt5Core.so.5 + 0xe42ca)
                                                #7  0x00007fc3b868c54d n/a (libc.so.6 + 0x8c54d)
                                                #8  0x00007fc3b8711874 __clone (libc.so.6 + 0x111874)
                                                
                                                Stack trace of thread 22109:
                                                #0  0x00007fc3b8705c3f __poll (libc.so.6 + 0x105c3f)
                                                #1  0x00007fc3b7cc5f68 n/a (libglib-2.0.so.0 + 0xaaf68)
                                                #2  0x00007fc3b7c6d392 g_main_context_iteration (libglib-2.0.so.0 + 0x52392)
                                                #3  0x00007fc3b7c6d3e2 n/a (libglib-2.0.so.0 + 0x523e2)
                                                #4  0x00007fc3b7c9f405 n/a (libglib-2.0.so.0 + 0x84405)
                                                #5  0x00007fc3b868c54d n/a (libc.so.6 + 0x8c54d)
                                                #6  0x00007fc3b8711874 __clone (libc.so.6 + 0x111874)
                                                
                                                Stack trace of thread 22110:
                                                #0  0x00007fc3b8705c3f __poll (libc.so.6 + 0x105c3f)
                                                #1  0x00007fc3b7cc5f68 n/a (libglib-2.0.so.0 + 0xaaf68)
                                                #2  0x00007fc3b7c6d392 g_main_context_iteration (libglib-2.0.so.0 + 0x52392)
                                                #3  0x00007fc3b077bebe n/a (libdconfsettings.so + 0x5ebe)
                                                #4  0x00007fc3b7c9f405 n/a (libglib-2.0.so.0 + 0x84405)
                                                #5  0x00007fc3b868c54d n/a (libc.so.6 + 0x8c54d)
                                                #6  0x00007fc3b8711874 __clone (libc.so.6 + 0x111874)
                                                
                                                Stack trace of thread 22111:
                                                #0  0x00007fc3b8705c3f __poll (libc.so.6 + 0x105c3f)
                                                #1  0x00007fc3b7cc5f68 n/a (libglib-2.0.so.0 + 0xaaf68)
                                                #2  0x00007fc3b7c6f1cf g_main_loop_run (libglib-2.0.so.0 + 0x541cf)
                                                #3  0x00007fc3b0662acc n/a (libgio-2.0.so.0 + 0x108acc)
                                                #4  0x00007fc3b7c9f405 n/a (libglib-2.0.so.0 + 0x84405)
                                                #5  0x00007fc3b868c54d n/a (libc.so.6 + 0x8c54d)
                                                #6  0x00007fc3b8711874 __clone (libc.so.6 + 0x111874)
                                                
                                                Stack trace of thread 22123:
                                                #0  0x00007fc3b87085f1 pselect (libc.so.6 + 0x1085f1)
                                                #1  0x00007fc3b37f5524 n/a (libusbmuxd-2.0.so.6 + 0x2524)
                                                #2  0x00007fc3b37f68a9 n/a (libusbmuxd-2.0.so.6 + 0x38a9)
                                                #3  0x00007fc3b868c54d n/a (libc.so.6 + 0x8c54d)
                                                #4  0x00007fc3b8711874 __clone (libc.so.6 + 0x111874)
                                                ELF object binary architecture: AMD x86-64
Comment 15 Nate Graham 2022-07-13 17:04:05 UTC
Moving back to KWin as this isn't actionable in the generic kde component. If it's an upstream or downstream bug, let's mark it accordingly.
Comment 16 shashwatkhanna312 2022-07-25 21:15:57 UTC
I don't know how or what happened, but this doesn't happen anymore for me. I had reported a similar bug - https://bugs.kde.org/show_bug.cgi?id=455559 (which for some reason was marked as a duplicate of some X11 issue instead of this)
Comment 17 Nicolas Fella 2022-08-13 11:19:03 UTC
*** Bug 457831 has been marked as a duplicate of this bug. ***
Comment 18 Andrew Rembrandt 2022-08-30 08:20:34 UTC
Hi (esteemed KDE community),
I've just had this occur for me on resuming from hibernate - for 3 Konsole instances:

Qt Version: 5.15.5
KDE Plasma Version: 5.25.4
Frameworks Version: 5.97.0
Operating System: Linux 5.19.4-zen1-1-zen
Windowing System: Wayland
Distribution: Arch Linux
DrKonqi: 5.25.4 [KCrashBackend]
[Intel MESA UHD Graphics / Thinkpad P15s Gen 1]

Application: Konsole (konsole), signal: Segmentation fault
[KCrash Handler]
#4  0x00007f178f66ef27 in QtWayland::wl_output::handle_done(void*, wl_output*) () at /usr/lib/libQt5WaylandClient.so.5
#5  0x00007f178e91f536 in  () at /usr/lib/libffi.so.8
#6  0x00007f178e91c037 in  () at /usr/lib/libffi.so.8
#7  0x00007f178f5cd645 in  () at /usr/lib/libwayland-client.so.0
#8  0x00007f178f5cde03 in  () at /usr/lib/libwayland-client.so.0
#9  0x00007f178f5cdffc in wl_display_dispatch_queue_pending () at /usr/lib/libwayland-client.so.0
#10 0x00007f178f649c16 in QtWaylandClient::QWaylandDisplay::flushRequests() () at /usr/lib/libQt5WaylandClient.so.5
#11 0x00007f17914b12f0 in QObject::event(QEvent*) () at /usr/lib/libQt5Core.so.5
#12 0x00007f1792178b3c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#13 0x00007f179148d978 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#14 0x00007f179148e483 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib/libQt5Core.so.5
#15 0x00007f17914d4478 in  () at /usr/lib/libQt5Core.so.5
#16 0x00007f178f86fc6b in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#17 0x00007f178f8c6001 in  () at /usr/lib/libglib-2.0.so.0
#18 0x00007f178f86d392 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#19 0x00007f17914d825c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#20 0x00007f179148611c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#21 0x00007f1791490c49 in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5
#22 0x000056022ea0eb65 in  ()
#23 0x00007f1790c3c2d0 in  () at /usr/lib/libc.so.6
#24 0x00007f1790c3c38a in __libc_start_main () at /usr/lib/libc.so.6
#25 0x000056022ea0f425 in  ()
[Inferior 1 (process 79767) detached]

=====
Also had plasmashell crash at the same time with:

Application: Plasma (plasmashell), signal: Aborted
[KCrash Handler]
#4  0x00007f129f6a14dc in  () at /usr/lib/libc.so.6
#5  0x00007f129f651998 in raise () at /usr/lib/libc.so.6
#6  0x00007f129f63b53d in abort () at /usr/lib/libc.so.6
#7  0x00007f129f8d2112 in std::__glibcxx_assert_fail(char const*, int, char const*, char const*) (file=<optimized out>, line=<optimized out>, function=<optimized out>, condition=<optimized out>) at /usr/src/debug/gcc/libstdc++-v3/src/c++11/debug.cc:60
#8  0x00005558551d8b50 in  ()
#9  0x00005558551d9d75 in  ()
#10 0x00005558551de39c in  ()
#11 0x00005558551e0c75 in  ()
#12 0x00007f129febe0d1 in  () at /usr/lib/libQt5Core.so.5
#13 0x00005558552022c4 in  ()
#14 0x00007f129febe0d1 in  () at /usr/lib/libQt5Core.so.5
#15 0x00005558551e049e in  ()
#16 0x00007f129febe0d1 in  () at /usr/lib/libQt5Core.so.5
#17 0x00005558551e034b in  ()
#18 0x000055585520ec26 in  ()
#19 0x00007f12a1d4d536 in  () at /usr/lib/libffi.so.8
#20 0x00007f12a1d4a037 in  () at /usr/lib/libffi.so.8
#21 0x00007f12a2119645 in  () at /usr/lib/libwayland-client.so.0
#22 0x00007f12a2119e03 in  () at /usr/lib/libwayland-client.so.0
#23 0x00007f12a2119ffc in wl_display_dispatch_queue_pending () at /usr/lib/libwayland-client.so.0
#24 0x00007f129ddbbc16 in QtWaylandClient::QWaylandDisplay::flushRequests() () at /usr/lib/libQt5WaylandClient.so.5
#25 0x00007f129feb12f0 in QObject::event(QEvent*) () at /usr/lib/libQt5Core.so.5
#26 0x00007f12a0b78b3c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#27 0x00007f129fe8d978 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#28 0x00007f129fe8e483 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib/libQt5Core.so.5
#29 0x00007f129fed4478 in  () at /usr/lib/libQt5Core.so.5
#30 0x00007f129e518c6b in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#31 0x00007f129e56f001 in  () at /usr/lib/libglib-2.0.so.0
#32 0x00007f129e516392 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#33 0x00007f129fed825c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#34 0x00007f129fe8611c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#35 0x00007f129fe90c49 in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5
#36 0x00005558551c1123 in  ()
#37 0x00007f129f63c2d0 in  () at /usr/lib/libc.so.6
#38 0x00007f129f63c38a in __libc_start_main () at /usr/lib/libc.so.6
#39 0x00005558551c14d5 in  ()
[Inferior 1 (process 16471) detached]
(Let me know if I should raise this separately)
Comment 19 Vlad Zahorodnii 2022-08-30 08:32:11 UTC
I cannot reproduce it. What's your output layout? What's the position of the attached or detached monitor? Do all apps crash or only some?
Comment 20 Bug Janitor Service 2022-08-30 09:59:03 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/2878
Comment 21 Andrew Rembrandt 2022-08-30 10:04:32 UTC
Hi Vlad, ah, thanks for reminding me:
- On hibernation, the layout was just 1 monitor (laptop screen)
- On resume, the layout was 2 monitors (4K monitor at 150% scaling directly above laptop screen - 1920x1080 @ 100%)

Only a few Konsole apps crashed (along with plasmashell). One other Konsole instance didn't. Firefox did also crash (the error reporting went to Firefox however - Firefox is using wayland). I also had a Slack instance (xwayland, electron) that didn't crash.
Comment 22 Vlad Zahorodnii 2022-08-30 13:11:43 UTC
Git commit d6706c5ce4f82530134848b78be9420cf99dae66 by Vlad Zahorodnii.
Committed on 30/08/2022 at 12:56.
Pushed by vladz into branch 'master'.

wayland: Prevent sending xdg_output properties if wl_output is removed

If the wl_output has been removed, kwin can crash all Qt clients by
sending a wl_output.done event. Also, it makes no sense to send output
events after the corresponding output has been removed.

M  +5    -0    src/wayland/output_interface.cpp
M  +1    -0    src/wayland/output_interface.h
M  +8    -6    src/wayland/xdgoutput_v1_interface.cpp

https://invent.kde.org/plasma/kwin/commit/d6706c5ce4f82530134848b78be9420cf99dae66
Comment 23 Bug Janitor Service 2022-08-30 13:37:51 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/2879
Comment 24 Vlad Zahorodnii 2022-08-30 13:38:47 UTC
^ not sure if it fixes the crash, it would be great if somebody could test it
Comment 25 Vlad Zahorodnii 2022-08-30 13:59:00 UTC
Git commit c6600c687554d1e0de9d601e3176cb11d8194cb8 by Vlad Zahorodnii.
Committed on 30/08/2022 at 13:36.
Pushed by vladz into branch 'Plasma/5.25'.

wayland: Prevent sending xdg_output properties if wl_output is removed

If the wl_output has been removed, kwin can crash all Qt clients by
sending a wl_output.done event. Also, it makes no sense to send output
events after the corresponding output has been removed.
(cherry picked from commit d6706c5ce4f82530134848b78be9420cf99dae66)

M  +5    -0    src/wayland/output_interface.cpp
M  +1    -0    src/wayland/output_interface.h
M  +4    -0    src/wayland/xdgoutput_v1_interface.cpp

https://invent.kde.org/plasma/kwin/commit/c6600c687554d1e0de9d601e3176cb11d8194cb8
Comment 26 cellstije 2022-09-06 21:38:09 UTC
(In reply to Vlad Zahorodnii from comment #25)
> Git commit c6600c687554d1e0de9d601e3176cb11d8194cb8 by Vlad Zahorodnii.
> Committed on 30/08/2022 at 13:36.
> Pushed by vladz into branch 'Plasma/5.25'.
> 
> wayland: Prevent sending xdg_output properties if wl_output is removed
> 
> If the wl_output has been removed, kwin can crash all Qt clients by
> sending a wl_output.done event. Also, it makes no sense to send output
> events after the corresponding output has been removed.
> (cherry picked from commit d6706c5ce4f82530134848b78be9420cf99dae66)
> 
> M  +5    -0    src/wayland/output_interface.cpp
> M  +1    -0    src/wayland/output_interface.h
> M  +4    -0    src/wayland/xdgoutput_v1_interface.cpp
> 
> https://invent.kde.org/plasma/kwin/commit/
> c6600c687554d1e0de9d601e3176cb11d8194cb8

Hi

Thanks a mill for the help, support and commit.

Just installed latest kde for archlinux (see below) and all works -- no more crashes!
I tested turning on/off the external TV/Monitor attached via HDMI.
Also selected TV other inputs, and still rock solid!

Operating System: Arch Linux
KDE Plasma Version: 5.25.5
KDE Frameworks Version: 5.97.0
Qt Version: 5.15.5
Kernel Version: 5.19.7-zen2-1-zen (64-bit)
Graphics Platform: Wayland
Processors: 24 × AMD Ryzen 9 5900X 12-Core Processor
Memory: 31.3 GiB of RAM
Graphics Processor: AMD Radeon RX 6800

All the best!
Comment 27 cellstije 2022-09-06 21:39:31 UTC
... forgot to change the bug status in my earlier reply: RESOLVED, FIXED

Cheers